# Payung : Ecommerce-ReduxThunk-quickstart

## Options tech
React redux or
React Context Api

Author: DinJomAwan
Start @  : 1/Feb/2021
DateLine : 2021

Step for Ecommerce-ReduxThunk installation

1. Download and install node.js at https://nodejs.org/en/download/
2. Run <npm i --save-dev> @ <npm i --save-prod>
3. Run " git clone https://dinjomawan@bitbucket.org/dinjomawan/payung.git "
4. https://git-scm.com/downloads
5. Run `npm install` or `yarn install`
6. Run `npm start`
7. Change API path (depends on project) " src\helpers\URL.js| "
8. Contact (DinJomawan) if face any issue

icon pack ``
## Requirements
* [`npm`](https://www.npmjs.com/get-npm)
* [`Postman`](https://www.getpostman.com/)

## Table of Contents
- [Features](#features)
- [File Stucture](#Stucture)
- [End Point List](#end-points)

## Features
* Register, Login with JWT/auth0, Forget Password, Change Password
* Get and update user details
* Get purchase histories
* Notification for buyer after checkout

## File Stucture

- src
  - assets
  - Components
    - buttons
    - container
    - inputs
    - navbar
  - app.jsx
  - screen
    - Home.jsx
    - Login.jsx
    - Register.jsx
  - helpers
    - setAuthToken
    - URL.js
  - Utils
    - PrivateRoute
    - PublicRoute
  - data
    - reducers
    - auth.js
    - index.js
  - components

## Api doc link

- http://cmetrika.space/payungg_pull.php [check up]
- categories
  -> http://cmetrika.space/payungg/api/products/categories
- recent
  -> http://cmetrika.space/payungg/api/products/recent

## End Points
1. Products
  * get /products
  * get /products/:id
  * post /products
  * patch /products/:id
  * delete /products/:id
2. Checkouts
  * get /checkout
  * post /checkout
3. Categories
  * get /categories
  * get /categories/:id
  * post /categories
  * patch /categories/:id
  * delete /categories/:id

# FrontEnd Reactjs
- http://cmetrika.space/payungg/client/build/

# Backend ci3
- http://cmetrika.space/payungg/backend/

# TODO

- Client
- Backend
