import React from 'react'

import "./Badge.css"
function Badge() {
    return (
        <>
           <div className="main-wrapper">
                <div className="badge yellow">
                    <div className="circle"> <i className="fa fa-bolt"></i></div>
                    <div className="ribbon">Initiator</div>
                </div>
                <div className="badge orange">
                    <div className="circle"> <i className="fa fa-wheelchair-alt"></i></div>
                    <div className="ribbon">Disabler</div>
                </div>
                <div className="badge pink">
                    <div className="circle"> <i className="fa fa-pied-piper"></i></div>
                    <div className="ribbon">Nuker</div>
                </div>
                <div className="badge red">
                    <div className="circle"> <i className="fa fa-shield"></i></div>
                    <div className="ribbon">Ganker</div>
                </div>
                <div className="badge purple">
                    <div className="circle"> <i className="fa fa-anchor"></i></div>
                    <div className="ribbon">Durable</div>
                </div>
                <div className="badge teal">
                    <div className="circle"> <i className="fa fa-bicycle"></i></div>
                    <div className="ribbon">Roamer</div>
                </div>
                <div className="badge blue">
                    <div className="circle"> <i className="fa fa-users"></i></div>
                    <div className="ribbon">Pusher</div>
                </div>
                <div className="badge blue-dark">
                    <div className="circle"> <i className="fa fa-rocket"></i></div>
                    <div className="ribbon">Escape</div>
                </div>
                <div className="badge green">
                    <div className="circle"> <i className="fa fa-tree"></i></div>
                    <div className="ribbon">Jungler</div>
                </div>
                <div className="badge green-dark">
                    <div className="circle"> <i className="fa fa-user fa-street-view"></i></div>
                    <div className="ribbon">Offlaner</div>
                </div>
                <div className="badge silver">
                    <div className="circle"> <span className="font">AFK</span></div>
                    <div className="ribbon">Carry</div>
                </div>
                <div className="badge gold">
                    <div className="circle"> <i className="fa fa-magic"></i></div>
                    <div className="ribbon">Support</div>
                </div>
            </div> 
        </>
    )
}

export default Badge
