import React from "react";
import "react-responsive-carousel/lib/styles/carousel.min.css"; // requires a loader
import { Carousel } from "react-responsive-carousel";
import "./banner.css";
const responsive = {
  superLargeDesktop: {
    // the naming can be any, depends on you.
    breakpoint: { max: 4000, min: 3000 },
    items: 10,
  },
  desktop: {
    breakpoint: { max: 3000, min: 1024 },
    items: 10,
  },
  tablet: {
    breakpoint: { max: 1024, min: 464 },
    items: 6,
  },
  mobile: {
    breakpoint: { max: 464, min: 0 },
    items: 1,
  },
};
const Banner = () => {
  return (
    <div>
      {/* <Carousel responsive={responsive} className="md:w-5/6 margin-0-auto"> */}
      <Carousel responsive={responsive} className="">
        <div className="flex ">
          <img src="./assets/img/colorful-umbrellas-4k.jpg" alt="" />
          <p className="legend sm:text-xs">Ease your food business<br /><small>With trusted suppliers from our F&B Ecosystem </small></p>
        </div>
        <div className="flex">
          <img src="./assets/img/colorful-umbrellas-4k.jpg" alt="" />
          <p className="legend sm:text-xs">Ease your food business<br /><small>With trusted suppliers from our F&B Ecosystem </small></p>
        </div>
        <div className="flex">
          <img src="./assets/img/colorful-umbrellas-4k.jpg" alt="" />
          <p className="legend sm:text-xs">Ease your food business<br /><small>With trusted suppliers from our F&B Ecosystem </small></p>
        </div>
      </Carousel>
    </div>
  );
};

export default Banner;
