import React from 'react'
import Navbar from '../../components/navbar/navbar.component'

function CartPage() {
    return (
        <>
        <Navbar />
        <div className="lg:w-4/5 grid grid-rows-3 grid-flow-col gap-4 relative margin-0-auto md:top-32">
            <div className="col-span-2 ">
                <div className="flex justify-between px-10 py-10 border-b pb-8 bg-white shadow-sm rounded-lg">
                    <h1 className="font-semibold text-lg">Shopping Cart</h1>
                    <h2 className="font-semibold text-lg">3 Items</h2>
                </div>
            </div>
            <div className="row-span-2 col-span-2 md:relative -top-40 md:overflow-auto h-5/6">
                <div className="border-b pb-2 my-2">
                    <div className="border-b pb-2 my-2">
                    <input id="comments" name="comments" type="checkbox" class="focus:ring-indigo-500 h-4 w-4 text-indigo-600 border-gray-300 rounded" />
                        asd
                    </div>
                    <div className="flex justify-between px-10 py-10 bg-white shadow-sm rounded-lg">
                        {/* <!-- product --> */}
                        <div className="w-20">
                            <img src="https://ae01.alicdn.com/kf/He5d13234b50b476aa972ae3eb8c1e3a1B.jpg" alt="" />
                        </div>
                        <div className="flex flex-col justify-between ml-4 mr-8 flex-grow">
                            <span className="text-sm">24 inch "curved Surface all-in-one machine surface intel core i5 Processors home office desktop computer games built in wifi
                                <br />
                                <small className="py-2"><b>Size:</b>i5-430 4G</small>
                                <small className="py-2"><b> Ship From:</b>China</small>
                            </span>
                            <br />
                            <span class="flex flex-wrap main-cost-price">
                                    <img className="h-4" src="http://ae01.alicdn.com/kf/H360058adc16e44848f39a15e13126760H.png" />
                                    <small className="flex mx-1">US $340.10</small>
                            </span>
                            <span className="text-red-500 text-xs">Apple</span>
                            
                        </div>
                        <div>
                            {/* + - */}
                            - +
                        </div>
                    </div>
                    {/* cart button */}
                    <div className="px-4 py-3 text-right sm:px-6">
                        <button type="button" class="text-sm px-14 py-2 font-semibold rounded-md bg-red-600 border-red-600 text-white"> BUY NOW </button>
                    </div>
                </div>
                <div className="border-b pb-2 my-2">
                    <div className="border-b pb-2 my-2">
                        <input id="push_everything" name="push_notifications" type="radio" className="focus:ring-indigo-500 h-4 w-4 text-indigo-600 border-gray-300" />
                        asd
                    </div>
                    <div className="flex justify-between px-10 py-10 bg-white shadow-sm rounded-lg">
                        {/* <!-- product --> */}
                        <div className="w-20">
                            <img src="https://ae01.alicdn.com/kf/He5d13234b50b476aa972ae3eb8c1e3a1B.jpg" alt="" />
                        </div>
                        <div className="flex flex-col justify-between ml-4 mr-8 flex-grow">
                            <span className="text-sm">24 inch "curved Surface all-in-one machine surface intel core i5 Processors home office desktop computer games built in wifi
                                <br />
                                <small className="py-2"><b>Size:</b>i5-430 4G</small>
                                <small className="py-2"><b> Ship From:</b>China</small>
                            </span>
                            <br />
                            <span class="flex flex-wrap main-cost-price">
                                    <img className="h-4" src="http://ae01.alicdn.com/kf/H360058adc16e44848f39a15e13126760H.png" />
                                    <small className="flex mx-1">US $340.10</small>
                            </span>
                            <span className="text-red-500 text-xs">Apple</span>
                            
                        </div>
                        <div>
                            {/* + - */}
                            - +
                        </div>
                    </div>
                    {/* cart button */}
                    <div className="px-4 py-3 text-right sm:px-6">
                        <button type="button" class="text-sm px-14 py-2 font-semibold rounded-md bg-red-600 border-red-600 text-white"> BUY NOW </button>
                    </div>
                </div>
            </div>
                
            <div className="row-span-3 hidden sm:block">
                {/* Start Order Summary */}
                <div id="summary" className="px-10 py-10 bg-white shadow-sm rounded-lg">
                    <h1 className="font-semibold text-lg border-b pb-8">Order Summary</h1>
                </div>
                {/* End Order Summary */}
            </div>
        </div>
        </>
    )
}

export default CartPage
