import React, { useEffect, useState } from 'react'

function CountCart() {
    const [count, setCount] = useState(0);
    useEffect(() => {
        console.count("In useEffect, after render");
        document.title = `Count: ${count}`;
      });
    return (
        <>
         <div className="custom-number-input h-5 w-32">
            {/* <label for="custom-input-number" className="w-full text-gray-700 text-sm font-semibold">Counter Input
            </label> */}
            <div className="flex flex-row h-5 w-full rounded-full relative bg-gray-200 mt-1">
                <button onClick={() => setCount((c) => c - 1)} className="flex rounded-l-full bg-gray-300 text-gray-600 hover:text-gray-700 bg-gray-400 hover:bg-gray-600 h-full w-20 rounded-l cursor-pointer outline-none">
                    <span className="m-auto text-xs font-thin">−</span>
                </button>
                
                    <small className="px-3">{count}</small>
                    
                <button onClick={() => setCount((c) => c + 1)} className="flex rounded-r-full bg-gray-300 text-gray-600 hover:text-gray-700 bg-gray-400 hover:bg-gray-600 h-full w-20 rounded-r cursor-pointer outline-none">
                    <span className="m-auto text-xs font-thin">+</span>
                </button>
            </div>
        </div>
        </>
    )
}

export default CountCart
