import React, { useState } from 'react';
import './SideRfilter.css';
function SideRfilter() {
	const [visible, setVisible] = useState(true);
	function hideFilter(){
		setVisible(false);
		setTimeout(() => setVisible(false), 650);
	}
	function showFilter(){
		setVisible(true);
		setTimeout(() => setVisible(true), 650);
	}
	return (
		<div className="hidden sm:hidden md:block">
			<button onClick={showFilter} className="fixed right-0 top-72 text-center z-10 font-semibold inline-block mr-1 rounded rounded-full uppercase text-xs px-2 py-1 bg-teal-500 text-white">PAYUNG THIS</button>
			<div className="hidden sm:hidden md:block" style={visible ? null : { display: "none" }}>
				<button onClick={hideFilter} className="fixed right-0 top-72 text-center  z-10 border font-semibold inline-block mr-1 rounded rounded-full uppercase text-xs px-2 py-1 bg-teal-500 text-white">PAYUNG THIS</button>
				<svg className="fixed SideRtopfilter" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 238.6 231.8"><path fill="#38b2ac" d="M0,231.8H238.6V0H206.8V97.6s1.5,23.2-25.4,35.7L25,192.9S0,200.5,0,231.8Z" /></svg>
				<svg className="fixed SideRfilter" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 238.6 231.8"> <path fill="#38b2ac" d="M0,0H238.6V231.8H206.8V134.3s1.5-23.3-25.4-35.8L25,38.9S0,31.3,0,0Z" /> </svg>
				<div className="bg-teal-500 py-3 px-1 fixed text-xs z-10 right-0 md:top-80 border-full">
					<ul className="flex flex-col">
						<li className="m-2">
							<label className="font-semibold">BUSINESS SCALE</label>
							<br />
							<div class="w-full relative inline-flex">
								<svg class="w-2 h-2 absolute top-0 right-0 m-2 pointer-events-none" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 412 232"> <path d="M206 171.144L42.678 7.822c-9.763-9.763-25.592-9.763-35.355 0-9.763 9.764-9.763 25.592 0 35.355l181 181c4.88 4.882 11.279 7.323 17.677 7.323s12.796-2.441 17.678-7.322l181-181c9.763-9.764 9.763-25.592 0-35.355-9.763-9.763-25.592-9.763-35.355 0L206 171.144z" fill="#648299" fill-rule="nonzero" /> </svg>
								<select class="w-full border border-gray-300 rounded-sm text-gray-600 h-6 px-2 bg-white hover:border-gray-400 focus:outline-none appearance-none">
									<option>BUSINESS SCALE</option>
									<option>Growth 1</option>
									<option>Growth 2</option>
								</select>
							</div>
						</li>
						<li className="m-2">
							<label className="font-semibold">INDUSTRY</label>
							<br />
							<div class="w-full relative inline-flex">
								<svg class="w-2 h-2 absolute top-0 right-0 m-2 pointer-events-none" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 412 232"> <path d="M206 171.144L42.678 7.822c-9.763-9.763-25.592-9.763-35.355 0-9.763 9.764-9.763 25.592 0 35.355l181 181c4.88 4.882 11.279 7.323 17.677 7.323s12.796-2.441 17.678-7.322l181-181c9.763-9.764 9.763-25.592 0-35.355-9.763-9.763-25.592-9.763-35.355 0L206 171.144z" fill="#648299" fill-rule="nonzero" /> </svg>
								<select class="w-full border border-gray-300 rounded-sm text-gray-600 h-6 px-2 bg-white hover:border-gray-400 focus:outline-none appearance-none">
									<option>Food & Beverages</option>
									<option>Food & Beverages 1</option>
									<option>Food & Beverages 2</option>
								</select>
							</div>
						</li>
						<li className="m-2">
							<label className="font-semibold">SECTION</label>
							<br />
							<div class="w-full relative inline-flex">
								<svg class="w-2 h-2 absolute top-0 right-0 m-2 pointer-events-none" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 412 232"> <path d="M206 171.144L42.678 7.822c-9.763-9.763-25.592-9.763-35.355 0-9.763 9.764-9.763 25.592 0 35.355l181 181c4.88 4.882 11.279 7.323 17.677 7.323s12.796-2.441 17.678-7.322l181-181c9.763-9.764 9.763-25.592 0-35.355-9.763-9.763-25.592-9.763-35.355 0L206 171.144z" fill="#648299" fill-rule="nonzero" /> </svg>
								<select class="w-full border border-gray-300 rounded-sm text-gray-600 h-6 px-2 bg-white hover:border-gray-400 focus:outline-none appearance-none">
									<option>Restaurant</option>
									<option>Restaurant 1</option>
									<option>Restaurant 2</option>
								</select>
							</div>
						</li>
						<li className="m-2">
							<label className="font-semibold">CATEGORY</label>
							<br />
							<div class="w-full relative inline-flex">
								<svg class="w-2 h-2 absolute top-0 right-0 m-2 pointer-events-none" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 412 232"> <path d="M206 171.144L42.678 7.822c-9.763-9.763-25.592-9.763-35.355 0-9.763 9.764-9.763 25.592 0 35.355l181 181c4.88 4.882 11.279 7.323 17.677 7.323s12.796-2.441 17.678-7.322l181-181c9.763-9.764 9.763-25.592 0-35.355-9.763-9.763-25.592-9.763-35.355 0L206 171.144z" fill="#648299" fill-rule="nonzero" /> </svg>
								<select class="w-full border border-gray-300 rounded-sm text-gray-600 h-6 px-2 bg-white hover:border-gray-400 focus:outline-none appearance-none">
									<option>Western Food</option>
									<option>Western Food 1</option>
									<option>Western Food 2</option>
								</select>
							</div>
						</li>
						<li className="m-2">
							<label className="font-semibold">PRODUCT</label>
							<br />
							<div class="w-full relative inline-flex">
								<svg class="w-2 h-2 absolute top-0 right-0 m-2 pointer-events-none" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 412 232"> <path d="M206 171.144L42.678 7.822c-9.763-9.763-25.592-9.763-35.355 0-9.763 9.764-9.763 25.592 0 35.355l181 181c4.88 4.882 11.279 7.323 17.677 7.323s12.796-2.441 17.678-7.322l181-181c9.763-9.764 9.763-25.592 0-35.355-9.763-9.763-25.592-9.763-35.355 0L206 171.144z" fill="#648299" fill-rule="nonzero" /> </svg>
								<select class="w-full border border-gray-300 rounded-sm text-gray-600 h-6 px-2 bg-white hover:border-gray-400 focus:outline-none appearance-none">
									<option>Wagyu Steak</option>
									<option>Wagyu Steak 1</option>
									<option>Wagyu Steak 2</option>
								</select>
							</div>
						</li>
						<li>
							<a href="/#" className="w-full text-center font-semibold inline-block mr-1 rounded rounded-full uppercase text-xs px-2 py-1 bg-yellow-400 text-red-800"> SUGGEST ECOSYSTEM </a>
						</li>
					</ul>
				</div>
				
			</div>
			<div className="fixed right-0 h-screen bg-teal-500 w-5"></div>
		</div>
	);
}

export default SideRfilter;
