import React from 'react';
import { withRouter } from 'react-router-dom';
import Button from '../buttons/button.component';
import NavItem from './navbar.item';
import { connect } from 'react-redux';
import { logout } from '../../data/reducers/auth';

const NavbarList = ({ history, logout, isAuth }) => {
  // make active nav item with text primary
  const isActive = (history, path) => {
    if (history.location.pathname === path) {
      return 'text-primary';
    } else {
      return '';
    }
  };
  return (
    <ul className='text-xs text-white flex-wrap flex md:mr-5 flex-col md:flex-row text-center'>
      {/* <a href="#" class="text-white px-3 py-2 rounded-md text-xs " > chillies </a>
      <a href="#" class="text-gray-300 px-3 py-2 rounded-md text-xs " > bowl </a>
      <a href="#" class="text-gray-300 px-3 py-2 rounded-md text-xs " > chairs </a>
      <a href="#" class="text-gray-300 px-3 py-2 rounded-md text-xs " > facemask </a>
      <a href="#" class="text-gray-300 px-3 py-2 rounded-md text-xs " > A4 paper </a>
      <a href="#" class="text-gray-300 px-3 py-2 rounded-md text-xs " > kasut sekolah </a>
      <a href="#" class="text-gray-300 px-3 py-2 rounded-md text-xs " > iphone 12 </a>
      <a href="#" class="text-gray-300 px-3 py-2 rounded-md text-xs " > computer </a>
      <a href="#" class="text-gray-300 px-3 py-2 rounded-md text-xs " >
        workstation
      </a> */}
      {/* <NavItem link='/' name='Home' listStyle={isActive(history, '/')} /> */}
      {/* <NavItem
        link='/shop'
        name='Shop'
        listStyle={isActive(history, '/shop')}
        moreStyle='hover:text-primary'
      /> */}
      {/* <NavItem
        link='/dashboard'
        name='Dashboard'
        listStyle={isActive(history, '/dashboard')}
      /> */}
      {/* {isAuth && (
        <Button
          title='Signout'
          moreStyle='hover:text-primary'
          action={ () => {
            logout();
          }}
        />
      )}
      {!isAuth && (
        <>
          <Button
            title='Login'
            moreStyle='hover:text-primary'
            isButton={false}
            href='/login'
          />
          <Button
            title='Register'
            moreStyle='hover:text-primary'
            isButton={false}
            href='/register'
          />
        </>
      )} */}
      {/* <Button
        isButton={false}
        href='/cart'
        title='cart'
        moreStyle='bg-primary text-white uppercase w-24 md:ml-6'
      /> */}
    </ul>
  );
};

const mapStateToProps = (state) => ({
  isAuth: state.auth.isAuthenticated,
});
export default connect(mapStateToProps, { logout })(withRouter(NavbarList));
