import React from 'react'
import "../navbar/header.css"
function Notify() {
    return (
        <>
        <ul className="flex inline-block text-sm mr-3">
            <li className="hoverable x-after">
                <a href="#" className="text-xs text-white px-3 py-2 rounded-md font-medium" >
                    <svg className="h-5 w-6 float-left" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true" > <path stroke-width="2" d="M15 17h5l-1.405-1.405A2.032 2.032 0 0118 14.158V11a6.002 6.002 0 00-4-5.659V5a2 2 0 10-4 0v.341C7.67 6.165 6 8.388 6 11v3.159c0 .538-.214 1.055-.595 1.436L4 17h5m6 0v1a3 3 0 11-6 0v-1m6 0H9" /> </svg>
                    Notification
                </a>
                <div className="mega-menu">
                    <ul className="bg-gray-200 md:w-2/3 text-gray-800 p-2 rounded-t-lg text-xs">
                        <li>
                            <img src="https://cmetrika.space/payungg/backend/assets/img/mukhlis.png" alt="user" className="p-1 rounded rounded-full w-6 inline-block" />
                            <span> Super Drink Day </span>
                        </li>
                    </ul>
                </div>
                </li>
                <li>
                <a href="#" className="text-xs text-gray-300 px-3 py-2 rounded-md font-medium" >
                    <svg className="h-5 w-6 float-left" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" > <path stroke-width="2" d="M8.228 9c.549-1.165 2.03-2 3.772-2 2.21 0 4 1.343 4 3 0 1.4-1.278 2.575-3.006 2.907-.542.104-.994.54-.994 1.093m0 3h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z" /> </svg>
                    Help
                </a>
                </li>
                <li>
                <a href="#" className="text-xs text-gray-300 px-3 py-2 rounded-md font-medium" >
                    ENG
                </a>
                </li>
        </ul>
        </>
    )
}

export default Notify
