import React from 'react'
import "./EcoDndSearch.css"
function EcoDndSearch() {
    return (
        <div className="hidden sm:hidden md:block relative margin-0-auto rounded-lg pt-10 mb-8">
            <div id="hexcontainer" className="text-center">
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl1" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Beardface</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl1" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Beardface</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl1" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Beardface</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl2" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>BK Museum</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl3" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Banyan</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl3" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Banyan</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>

                <br />


                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl4" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Blueberries</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl4" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Blueberries</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                {/* Center */}
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink bg-yellow-300" id="hcenter" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Ecosystem</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                {/* /Center */}
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl6" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Boathouse Row</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl7" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Blue Velvet</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>

                <br />

                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl8" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Barren Landscape</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl9" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Bucheon Market</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl10" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Buddhist Temple</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl10" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Buddhist Temple</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl10" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Buddhist Temple</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
                <div className="hex1">
                    <div className="hex2">
                    <a className="hexlink" id="hl10" href="#/hex" alt="hex">
                        <div className="hexcover"></div>
                        <h3>Buddhist Temple</h3>
                        <div className="plus"></div>
                    </a>
                    </div>
                </div>
            </div>
        </div>
    )
}

export default EcoDndSearch
