import React from "react";
import Carousel from "react-multi-carousel";
import "react-multi-carousel/lib/styles.css";
const responsive = {
  superLargeDesktop: {
    // the naming can be any, depends on you.
    breakpoint: { max: 4000, min: 3000 },
    items: 5,
  },
  desktop: {
    breakpoint: { max: 3000, min: 1024 },
    items: 5,
  },
  tablet: {
    breakpoint: { max: 1024, min: 464 },
    items: 4,
  },
  mobile: {
    breakpoint: { max: 464, min: 0 },
    items: 1,
  },
};
function ProductTrending() {
  return (
    <div className="md:w-4/5 margin-0-auto max-w-full rounded-lg bg-white mb-8">
      <div className="px-2">
        <h5 className="text-xl text-left pt-3 font-semibold"> Trending Search: </h5>
      </div>
      <Carousel responsive={responsive} className="">
        {/* col-1 */}
        <div className="flex flex-col">
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
        </div>
        {/* col 2 */}
        <div className="flex flex-col">
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
        </div>
        {/* col 3 */}
        <div className="flex flex-col">
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
        </div>
        {/* col 4 */}
        <div className="flex flex-col">
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
        </div>
        {/* col 5 */}
        <div className="flex flex-col">
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
        </div>
        {/* col 6 */}
        <div className="flex flex-col">
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
        </div>
        {/* col 7 */}
        <div className="flex flex-col">
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
          <div className="text-justify text-sm bg-white overflow-hidden hover:bg-green-100 border-l border-gray-200 p-5 border-b-2">
            {/* <p className="text-right text-xs">May 17, 2020</p> */}
            <h2 className="font-bold md:text-lg h-2 mb-8">Baking Mixer </h2>
            <img className="w-24 float-right" src="https://www.cookingbites.com/attachments/ka-orange-mixer-png.19745/" alt="" />
            <p className="text-xs">11k Products</p>
            <div className="w-full text-right mt-4">
              {/* <a className="text-green-400 uppercase font-bold text-sm" href="#">
                Read More
              </a> */}
            </div>
          </div>
        </div>
      </Carousel>
    </div>
  );
}

export default ProductTrending;
